<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy Viewer</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_viewer.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pri-attribs">Atrybuty prywatne</a> &#124;
<a href="class_viewer-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy Viewer</div></div>
</div><!--header-->
<div class="contents">

<p>Okno z modelami trójwymiarowymi.  
 <a href="class_viewer.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Viewer</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer__inherit__graph.png" border="0" usemap="#a_viewer_inherit__map" alt="Inheritance graph"/></div>
<map name="a_viewer_inherit__map" id="a_viewer_inherit__map">
<area shape="rect" title="Okno z modelami trójwymiarowymi." alt="" coords="19,79,82,104"/>
<area shape="rect" title=" " alt="" coords="5,5,96,31"/>
<area shape="poly" title=" " alt="" coords="53,44,53,79,48,79,48,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Viewer:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer__coll__graph.png" border="0" usemap="#a_viewer_coll__map" alt="Collaboration graph"/></div>
<map name="a_viewer_coll__map" id="a_viewer_coll__map">
<area shape="rect" title="Okno z modelami trójwymiarowymi." alt="" coords="77,93,139,119"/>
<area shape="rect" title=" " alt="" coords="5,5,96,31"/>
<area shape="poly" title=" " alt="" coords="68,41,102,91,98,94,64,44"/>
<area shape="rect" href="class_robot_model.html" title="Trójwymiarowy model robota." alt="" coords="120,5,211,31"/>
<area shape="poly" title=" " alt="" coords="152,44,118,94,114,91,148,41"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:ad9bcb555f66a790a392d2af4b4f7f1d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html#ad9bcb555f66a790a392d2af4b4f7f1d6">Viewer</a> (QWidget *parent=nullptr)</td></tr>
<tr class="memdesc:ad9bcb555f66a790a392d2af4b4f7f1d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tworzy obiekt typu <a class="el" href="class_viewer.html" title="Okno z modelami trójwymiarowymi.">Viewer</a>.  <br /></td></tr>
<tr class="separator:ad9bcb555f66a790a392d2af4b4f7f1d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37a4c731034836effceb714e30d12297"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html#a37a4c731034836effceb714e30d12297">moveRobot</a> (int left, int right, int time_interval)</td></tr>
<tr class="memdesc:a37a4c731034836effceb714e30d12297"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przekazuje dane ruchu do modelu robota.  <br /></td></tr>
<tr class="separator:a37a4c731034836effceb714e30d12297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a232130dc19f5204dc8c30a11fe9c56"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html#a6a232130dc19f5204dc8c30a11fe9c56">passMeasure</a> (int new_measure, int index)</td></tr>
<tr class="memdesc:a6a232130dc19f5204dc8c30a11fe9c56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przekazuje robotowi odczyt z danego czujnika.  <br /></td></tr>
<tr class="separator:a6a232130dc19f5204dc8c30a11fe9c56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2996edb66665ac972e036ee6b55608da"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html#a2996edb66665ac972e036ee6b55608da">returnRobotDistance</a> ()</td></tr>
<tr class="memdesc:a2996edb66665ac972e036ee6b55608da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zwraca odległość przebytą przez robota.  <br /></td></tr>
<tr class="separator:a2996edb66665ac972e036ee6b55608da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:adc56b61501489ecfdd2618218c128e8c"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html#adc56b61501489ecfdd2618218c128e8c">draw</a> () override</td></tr>
<tr class="memdesc:adc56b61501489ecfdd2618218c128e8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funkcja rysująca obiekty.  <br /></td></tr>
<tr class="separator:adc56b61501489ecfdd2618218c128e8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49181937ba861bdc52eb2476007a2b0b"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html#a49181937ba861bdc52eb2476007a2b0b">init</a> () override</td></tr>
<tr class="memdesc:a49181937ba861bdc52eb2476007a2b0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funkcja inicjalizująca okno do wyświetlania grafiki.  <br /></td></tr>
<tr class="separator:a49181937ba861bdc52eb2476007a2b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Atrybuty prywatne</h2></td></tr>
<tr class="memitem:a0bc2785eddd4cae0d3dfcf4087e1ee84"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_robot_model.html">RobotModel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_viewer.html#a0bc2785eddd4cae0d3dfcf4087e1ee84">robot</a></td></tr>
<tr class="memdesc:a0bc2785eddd4cae0d3dfcf4087e1ee84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trójwymiarowy model robota.  <br /></td></tr>
<tr class="separator:a0bc2785eddd4cae0d3dfcf4087e1ee84"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Odpowiada za rysowanie wszystkich obiektów od nowa (odświeża mapę). Jest pośrednikiem między widgetem w obiekcie <a class="el" href="class_main_window.html" title="Główne okno aplikacji.">MainWindow</a> a modelem robota. </p>

<p class="definition">Definicja w linii <a class="el" href="_viewer_8hpp_source.html#l00023">23</a> pliku <a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="ad9bcb555f66a790a392d2af4b4f7f1d6" name="ad9bcb555f66a790a392d2af4b4f7f1d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9bcb555f66a790a392d2af4b4f7f1d6">&#9670;&#160;</a></span>Viewer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Viewer::Viewer </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>nullptr</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Rozmiar sceny ograniczany jest do półkuli o promieni 25.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na rodzica </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_viewer_8hpp_source.html#l00040">40</a> pliku <a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a37a4c731034836effceb714e30d12297" name="a37a4c731034836effceb714e30d12297"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37a4c731034836effceb714e30d12297">&#9670;&#160;</a></span>moveRobot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Viewer::moveRobot </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>left</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>right</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time_interval</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Funkcja pomocnicza, która ma na celu przekazanie prędkości obu kół jak i przedziału czasowego (czas działania głównego timera).</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">left</td><td>- wypełnienie PWM lewego koła (może być ujemne) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">right</td><td>- wypełnienie PWM prawego kołą (może być ujemne) </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">time_interval</td><td>- ułamek czasu, w którym robot się przemieszczał z powyższymi prędkościami </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_viewer_8hpp_source.html#l00052">52</a> pliku <a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer_a37a4c731034836effceb714e30d12297_cgraph.png" border="0" usemap="#aclass_viewer_a37a4c731034836effceb714e30d12297_cgraph" alt=""/></div>
<map name="aclass_viewer_a37a4c731034836effceb714e30d12297_cgraph" id="aclass_viewer_a37a4c731034836effceb714e30d12297_cgraph">
<area shape="rect" title="Przekazuje dane ruchu do modelu robota." alt="" coords="5,31,140,56"/>
<area shape="rect" href="class_robot_model.html#a462c63bf18c587c8f6eb6459be6b6fbe" title="Oblicza nowe położenie i orietnację robota." alt="" coords="188,31,317,56"/>
<area shape="poly" title=" " alt="" coords="140,41,174,41,174,46,140,46"/>
<area shape="rect" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb" title="Przekształca stopnie do radianów." alt="" coords="365,5,433,31"/>
<area shape="poly" title=" " alt="" coords="317,30,351,23,352,29,318,35"/>
<area shape="rect" href="_robot_model_8hpp.html#adbda2be3186f3f269760ccfba7f4412b" title="Przekształca radiany w stopnie." alt="" coords="365,55,433,80"/>
<area shape="poly" title=" " alt="" coords="318,51,352,57,351,62,317,57"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer_a37a4c731034836effceb714e30d12297_icgraph.png" border="0" usemap="#aclass_viewer_a37a4c731034836effceb714e30d12297_icgraph" alt=""/></div>
<map name="aclass_viewer_a37a4c731034836effceb714e30d12297_icgraph" id="aclass_viewer_a37a4c731034836effceb714e30d12297_icgraph">
<area shape="rect" title="Przekazuje dane ruchu do modelu robota." alt="" coords="647,5,781,31"/>
<area shape="rect" href="class_map3_d.html#aaf51a6397305a161ddffa25e06eaa18f" title="Przekazuje dane ruchu do modelu robota." alt="" coords="464,5,599,31"/>
<area shape="poly" title=" " alt="" coords="633,21,599,21,599,15,633,15"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a6a232130dc19f5204dc8c30a11fe9c56" name="a6a232130dc19f5204dc8c30a11fe9c56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a232130dc19f5204dc8c30a11fe9c56">&#9670;&#160;</a></span>passMeasure()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Viewer::passMeasure </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>new_measure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">new_measure</td><td>- nowy odczyt z czujnika w [mm] </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>- indeks w tablicy czujników (numer czujnika 0 - lewy, 1 - lewy przedni, 2 - prawy przedni, 3 - prawy) </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_viewer_8hpp_source.html#l00060">60</a> pliku <a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer_a6a232130dc19f5204dc8c30a11fe9c56_cgraph.png" border="0" usemap="#aclass_viewer_a6a232130dc19f5204dc8c30a11fe9c56_cgraph" alt=""/></div>
<map name="aclass_viewer_a6a232130dc19f5204dc8c30a11fe9c56_cgraph" id="aclass_viewer_a6a232130dc19f5204dc8c30a11fe9c56_cgraph">
<area shape="rect" title="Przekazuje robotowi odczyt z danego czujnika." alt="" coords="5,5,152,31"/>
<area shape="rect" href="class_robot_model.html#a134ea6dbabe4c3e668f5ac4a9ded970f" title="Dodaje nowy pomiar z danego czujnika." alt="" coords="200,5,365,31"/>
<area shape="poly" title=" " alt="" coords="152,15,186,15,186,21,152,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer_a6a232130dc19f5204dc8c30a11fe9c56_icgraph.png" border="0" usemap="#aclass_viewer_a6a232130dc19f5204dc8c30a11fe9c56_icgraph" alt=""/></div>
<map name="aclass_viewer_a6a232130dc19f5204dc8c30a11fe9c56_icgraph" id="aclass_viewer_a6a232130dc19f5204dc8c30a11fe9c56_icgraph">
<area shape="rect" title="Przekazuje robotowi odczyt z danego czujnika." alt="" coords="659,5,805,31"/>
<area shape="rect" href="class_map3_d.html#af1db43c016f502a56149a6fe3acdd365" title="Przekazuje robotowi odczyt z danego czujnika." alt="" coords="464,5,611,31"/>
<area shape="poly" title=" " alt="" coords="645,21,611,21,611,15,645,15"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="450,21,416,21,416,15,450,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="a2996edb66665ac972e036ee6b55608da" name="a2996edb66665ac972e036ee6b55608da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2996edb66665ac972e036ee6b55608da">&#9670;&#160;</a></span>returnRobotDistance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Viewer::returnRobotDistance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section return"><dt>Zwraca</dt><dd>przebyta odległość w [cm] - prwyatny atrybut klasy <a class="el" href="class_robot_model.html" title="Trójwymiarowy model robota.">RobotModel</a> </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="_viewer_8hpp_source.html#l00066">66</a> pliku <a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer_a2996edb66665ac972e036ee6b55608da_cgraph.png" border="0" usemap="#aclass_viewer_a2996edb66665ac972e036ee6b55608da_cgraph" alt=""/></div>
<map name="aclass_viewer_a2996edb66665ac972e036ee6b55608da_cgraph" id="aclass_viewer_a2996edb66665ac972e036ee6b55608da_cgraph">
<area shape="rect" title="Zwraca odległość przebytą przez robota." alt="" coords="5,5,192,31"/>
<area shape="rect" href="class_robot_model.html#a127d30bb649582d905960e7c144e9d58" title="Zwraca odległość przebytą przez robota." alt="" coords="240,5,455,31"/>
<area shape="poly" title=" " alt="" coords="192,15,226,15,226,21,192,21"/>
</map>
</div>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer_a2996edb66665ac972e036ee6b55608da_icgraph.png" border="0" usemap="#aclass_viewer_a2996edb66665ac972e036ee6b55608da_icgraph" alt=""/></div>
<map name="aclass_viewer_a2996edb66665ac972e036ee6b55608da_icgraph" id="aclass_viewer_a2996edb66665ac972e036ee6b55608da_icgraph">
<area shape="rect" title="Zwraca odległość przebytą przez robota." alt="" coords="699,5,885,31"/>
<area shape="rect" href="class_map3_d.html#ad29147f780b915a93ea20e2219ebde1d" title="Zwraca całkowitą odległość przebytą przez robota." alt="" coords="464,5,651,31"/>
<area shape="poly" title=" " alt="" coords="685,21,651,21,651,15,685,15"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="229,5,416,31"/>
<area shape="poly" title=" " alt="" coords="451,21,416,21,416,15,451,15"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="5,5,181,31"/>
<area shape="poly" title=" " alt="" coords="216,21,182,21,182,15,216,15"/>
</map>
</div>

</div>
</div>
<a id="adc56b61501489ecfdd2618218c128e8c" name="adc56b61501489ecfdd2618218c128e8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc56b61501489ecfdd2618218c128e8c">&#9670;&#160;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Viewer::draw </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Ponownie odrysowywuje wszystkie elementy znajdujące się na scenie. </p>

<p class="definition">Definicja w linii <a class="el" href="_viewer_8cpp_source.html#l00014">14</a> pliku <a class="el" href="_viewer_8cpp_source.html">Viewer.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_viewer_adc56b61501489ecfdd2618218c128e8c_cgraph.png" border="0" usemap="#aclass_viewer_adc56b61501489ecfdd2618218c128e8c_cgraph" alt=""/></div>
<map name="aclass_viewer_adc56b61501489ecfdd2618218c128e8c_cgraph" id="aclass_viewer_adc56b61501489ecfdd2618218c128e8c_cgraph">
<area shape="rect" title="Funkcja rysująca obiekty." alt="" coords="5,375,101,400"/>
<area shape="rect" href="class_robot_model.html#a29a86db3d5f416f78ce4a9527f00f6fc" title="Rysuje wszystkie elementy mapy 3D." alt="" coords="149,375,273,400"/>
<area shape="poly" title=" " alt="" coords="102,385,135,385,135,390,102,390"/>
<area shape="rect" href="class_robot_model.html#a5ff73305cdfe2a1691b0c52c46a38a54" title="Rysuje kompletnego robota." alt="" coords="332,189,491,215"/>
<area shape="poly" title=" " alt="" coords="224,373,384,222,388,226,228,377"/>
<area shape="rect" href="class_robot_model.html#af95c27a9257a9337c8b513c25b40db66" title="Rysuje planszę, po której jeździ robot." alt="" coords="332,345,491,371"/>
<area shape="poly" title=" " alt="" coords="273,376,318,369,319,374,274,381"/>
<area shape="rect" href="class_robot_model.html#aa1bb3a43a9ca915f3c29d063ec4cc70d" title="Rysuje okrąg detekcji robota." alt="" coords="321,395,501,435"/>
<area shape="poly" title=" " alt="" coords="274,393,308,398,307,403,273,399"/>
<area shape="rect" href="class_robot_model.html#a9d9e28b6fc0fe43de28cb93162389fb8" title="Oblicza współrzędne przeszkód." alt="" coords="549,504,727,529"/>
<area shape="poly" title=" " alt="" coords="233,398,273,422,322,445,432,478,536,499,535,505,430,483,320,450,271,427,231,402"/>
<area shape="rect" href="class_robot_model.html#a12178061bc2160d73de81f418c65f25b" title="Rysuje podstawę robota." alt="" coords="561,55,715,80"/>
<area shape="poly" title=" " alt="" coords="424,187,476,143,511,117,548,94,576,82,578,87,551,99,514,121,479,147,428,191"/>
<area shape="rect" href="class_robot_model.html#ad5aaa78e64238b82f7a6b8363bf1d4e9" title="Rysuje baterię" alt="" coords="555,109,721,135"/>
<area shape="poly" title=" " alt="" coords="440,187,548,143,572,136,574,141,550,149,442,192"/>
<area shape="rect" href="class_robot_model.html#a4b263ab1f68a83cfa3d452d5815f4e78" title="Rysuje kompletną przednią ścianę robota." alt="" coords="561,159,715,184"/>
<area shape="poly" title=" " alt="" coords="491,189,547,181,548,186,491,194"/>
<area shape="rect" href="class_robot_model.html#a0169a2468fac501c9ad490f3e3b107b4" title="Rysuje kompletny silnik DC." alt="" coords="559,219,717,244"/>
<area shape="poly" title=" " alt="" coords="491,210,545,217,545,222,491,215"/>
<area shape="rect" href="class_robot_model.html#ab82a28cb17bce5ce86f098c1feb06b20" title="Rysuje koło robota." alt="" coords="557,289,719,315"/>
<area shape="poly" title=" " alt="" coords="443,212,597,281,594,286,440,217"/>
<area shape="rect" href="_robot_model_8cpp.html#aeaeba2b8cfddbf911460988f9ad41eec" title="Rysuje prostopadłościan na podstawie danych współrzędnych." alt="" coords="834,5,930,31"/>
<area shape="poly" title=" " alt="" coords="701,52,820,28,821,33,702,57"/>
<area shape="rect" href="_robot_model_8cpp.html#aa31febf458485f9c45b26e33d2384d95" title="Aktualizuje współrzędne w tablicy." alt="" coords="837,55,927,80"/>
<area shape="poly" title=" " alt="" coords="716,65,823,65,823,70,716,70"/>
<area shape="rect" href="class_robot_model.html#a87661f0bd9710754adfc61ba51fb04db" title="Rysuje frontową część ściany." alt="" coords="792,104,972,129"/>
<area shape="poly" title=" " alt="" coords="695,156,774,138,811,130,812,135,775,143,696,161"/>
<area shape="rect" href="class_robot_model.html#a8e333fbe656aff04e02de1365c1efda8" title="Rysuje lewą i prawą część ściany." alt="" coords="790,153,974,179"/>
<area shape="poly" title=" " alt="" coords="716,167,776,166,776,171,716,172"/>
<area shape="rect" href="class_robot_model.html#a8e238d0238c3ba612fe8308a41aa4688" title="Rysuje złote blaszki silnika DC." alt="" coords="788,203,976,228"/>
<area shape="poly" title=" " alt="" coords="718,223,774,220,774,225,718,229"/>
<area shape="rect" href="class_robot_model.html#a6d57174d36911f7a2ce5adbf20d37929" title="Rysuje główną część silnika." alt="" coords="789,252,975,277"/>
<area shape="poly" title=" " alt="" coords="718,240,776,248,775,253,717,245"/>
<area shape="rect" href="class_robot_model.html#a97109a084e61c1a3393c09c647328463" title="Rysuje cienkie tuleje silnika." alt="" coords="787,301,977,327"/>
<area shape="poly" title=" " alt="" coords="667,242,717,264,776,286,807,295,806,301,774,291,715,269,665,247"/>
<area shape="rect" href="_robot_model_8hpp.html#aecb475808c5b6047a80e78b980cb4fbb" title="Przekształca stopnie do radianów." alt="" coords="1037,377,1105,403"/>
<area shape="poly" title=" " alt="" coords="967,275,991,286,1013,303,1031,324,1059,364,1055,367,1027,327,1009,307,988,291,965,280"/>
<area shape="poly" title=" " alt="" coords="934,324,990,344,1039,368,1036,373,988,348,932,329"/>
<area shape="poly" title=" " alt="" coords="684,312,775,335,910,362,1024,380,1023,386,910,367,774,341,683,317"/>
<area shape="rect" href="_robot_model_8cpp.html#a750a341f29d08df3225ee1c4aee8fe3f" title="Rysuje czarne pola na planszy (szachownicy)" alt="" coords="583,345,693,371"/>
<area shape="poly" title=" " alt="" coords="491,355,569,355,569,361,491,361"/>
<area shape="poly" title=" " alt="" coords="502,409,1024,389,1024,394,502,415"/>
<area shape="poly" title=" " alt="" coords="702,501,858,467,934,448,988,432,1037,407,1040,412,990,436,935,453,859,472,703,507"/>
<area shape="rect" href="class_robot_model.html#acbfac5e4469144d48c761f01631df790" title="Sprawdza czy zebrano wystarczającą ilość pomiarów." alt="" coords="775,504,989,529"/>
<area shape="poly" title=" " alt="" coords="727,514,761,514,761,519,727,519"/>
<area shape="rect" href="_robot_model_8cpp.html#a3f98776a162029889da039f37f4811a7" title="Rysuje przeszkodę w postaci walca." alt="" coords="819,553,945,579"/>
<area shape="poly" title=" " alt="" coords="702,527,805,548,804,553,701,532"/>
<area shape="rect" href="class_robot_model.html#a08fd1adf414eb69aacc759b7effdde4f" title="Zwraca uśredniony wynik, o ile ostatnie pomiary były stabilne." alt="" coords="792,603,972,643"/>
<area shape="poly" title=" " alt="" coords="661,527,712,557,776,589,795,596,793,601,774,594,709,562,658,532"/>
<area shape="poly" title=" " alt="" coords="945,559,967,551,988,540,1015,512,1036,479,1051,445,1061,415,1066,417,1056,447,1041,481,1019,515,991,544,970,556,946,564"/>
</map>
</div>

</div>
</div>
<a id="a49181937ba861bdc52eb2476007a2b0b" name="a49181937ba861bdc52eb2476007a2b0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a49181937ba861bdc52eb2476007a2b0b">&#9670;&#160;</a></span>init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Viewer::init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_viewer_8cpp_source.html#l00021">21</a> pliku <a class="el" href="_viewer_8cpp_source.html">Viewer.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a0bc2785eddd4cae0d3dfcf4087e1ee84" name="a0bc2785eddd4cae0d3dfcf4087e1ee84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bc2785eddd4cae0d3dfcf4087e1ee84">&#9670;&#160;</a></span>robot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_robot_model.html">RobotModel</a> Viewer::robot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_viewer_8hpp_source.html#l00029">29</a> pliku <a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_viewer_8hpp_source.html">Viewer.hpp</a></li>
<li><a class="el" href="_viewer_8cpp_source.html">Viewer.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_viewer.html">Viewer</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
